<?php
/**
 * Shoptimizer shortcodes.
 *
 * @package Shoptimizer
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Accordion shortcode, used on PDP short descriptions.
 * Usage: [cg_accordion title="Delivery and Returns"]Some content[/cg_accordion]
 */
function shoptimizer_accordion_shortcode( $atts = array(), $content = null ) {
  
    extract(shortcode_atts(array(
     'title' => ''
    ), $atts));
    
    $content = shoptimizer_custom_filter_shortcode_text($content);
    return '<details><summary>'. $title .'</summary><div class="cg-accordion-item">' . $content . '</div></details>';
}
add_shortcode('cg_accordion', 'shoptimizer_accordion_shortcode');


/*
 * Utility function to deal with the way 
 * WordPress auto formats text in a shortcode.
 */
function shoptimizer_custom_filter_shortcode_text($text = "") {
    // Replace empty P tags.
    $tags = array("<p>", "</p>");
    $text = str_replace($tags, "\n", $text);

    // Remove any BR tags.
    $tags = array("<br>", "<br/>", "<br />");
    $text = str_replace($tags, "", $text);

    // Add back in the P and BR tags again, remove empty ones.
    return apply_filters("the_content", $text);
}